Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.serverless
Class Destinations

    java.lang.Object
      org.jboss.jms.serverless.Destinations

public class Destinations
extends java.lang.Object

Collection of utilites to parse Destination names and generate Destination instances.

Version:
  $Revision: 1.2 $ $Date: 2005/10/30 00:05:39 $
Author:
  Ovidiu Feodorov

Method Summary
`static Destination` | `createDestination(java.lang.String s)` The method expects to get the string representation of a GroupTopic or GroupQueue and attempts to parse it and create the corresponding destination instance.
`static java.lang.String` | `stringRepresentation(Destination d)` TO_DO: doesn't handle null names consistently

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDestination

    public static Destination createDestination(java.lang.String s)
                                         throws JMSException

  The method expects to get the string representation of a GroupTopic or GroupQueue and attempts to parse it and create the corresponding destination instance. A parsing error generates a JMSException.

  Parameters:
    `s` - - the string representation of a Destination. TO_DO: doesn't handle null names consistently
  Throws:
    `JMSException`

### stringRepresentation

    public static java.lang.String stringRepresentation(Destination d)
                                                 throws JMSException

  TO_DO: doesn't handle null names consistently

  Throws:
    `JMSException` - - if handling the destination throws exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.